<?php 

include_once('../conexao.php');

$postjson = json_decode(file_get_contents('php://input'), true);

$data = @$_GET['data'];
$data1 = @$_GET['data1'];
$usuario = @$_GET['user'];

$query = $pdo->query("SELECT * FROM usuarios where id = '$usuario'");
$res = $query->fetchAll(PDO::FETCH_ASSOC);
$nivel = $res[0]['nivel'];
if($nivel == 'Corretor'){
    $usuario = '%'.$usuario.'%';
}else{
    $usuario = '%%';
}

$query = $pdo->prepare("SELECT * FROM receber where (data_venc BETWEEN '$data' and '$data1') and pago = 'Não' and usuario_lanc LIKE '$usuario' ORDER BY data_venc ASC, id asc");
$query->execute();
$res = $query->fetchAll(PDO::FETCH_ASSOC);


for ($i=0; $i < count($res); $i++) { 

    $nome_pessoa = 'Sem Registro';
$tipo_pessoa = 'Pessoa';
$banco_pessoa = 'Sem Registro';
$tipo_banco_pessoa = 'Sem Registro';
$agencia_pessoa = 'Sem Registro';
$conta_pessoa = 'Sem Registro';
$pix_pessoa = 'Sem Registro';

    $data_vencF = implode('/', array_reverse(explode('-', $res[$i]['data_venc'])));
    $data_lancF = implode('/', array_reverse(explode('-', $res[$i]['data_lanc'])));
    $data_pgtoF = implode('/', array_reverse(explode('-', $res[$i]['data_pgto'])));
    $valorF = number_format($res[$i]['valor'], 2, ',', '.');
   
    $usuario_lanc = $res[$i]['usuario_lanc'];
    $usuario_pgto = $res[$i]['usuario_pgto'];
    $proprietario = $res[$i]['proprietario'];
    $frequencia = $res[$i]['frequencia'];
    $locatario = $res[$i]['locatario'];
    $comprador = $res[$i]['comprador'];

    $query2 = $pdo->query("SELECT * FROM usuarios where id = '$usuario_lanc'");
    $res2 = $query2->fetchAll(PDO::FETCH_ASSOC);
    if(@count($res2) > 0){
        $nome_usuario_lanc = $res2[0]['nome'];
    }else{
        $nome_usuario_lanc = 'Sem Usuário';
    }
    

     $query2 = $pdo->query("SELECT * FROM usuarios where id = '$usuario_pgto'");
    $res2 = $query2->fetchAll(PDO::FETCH_ASSOC);
    if(@count($res2) > 0){
        $nome_usuario_pgto = $res2[0]['nome'];
    }else{
        $nome_usuario_pgto = 'Sem Usuário';
    }

    
    $query2 = $pdo->query("SELECT * FROM vendedores where id = '$proprietario'");
$res2 = $query2->fetchAll(PDO::FETCH_ASSOC);
if(@count($res2) > 0){
    $nome_pessoa = $res2[0]['nome'];
    $banco_pessoa = $res2[0]['banco'];
    $tipo_banco_pessoa = $res2[0]['tipo'];
    $agencia_pessoa = $res2[0]['agencia'];
    $conta_pessoa = $res2[0]['conta'];
    $pix_pessoa = $res2[0]['pix'];
    $tipo_pessoa = 'Proprietário';
}

$query2 = $pdo->query("SELECT * FROM locatarios where id = '$locatario'");
$res2 = $query2->fetchAll(PDO::FETCH_ASSOC);
if(@count($res2) > 0){
    $nome_pessoa = $res2[0]['nome'];
    $banco_pessoa = $res2[0]['banco'];
    $tipo_banco_pessoa = $res2[0]['tipo'];
    $agencia_pessoa = $res2[0]['agencia'];
    $conta_pessoa = $res2[0]['conta'];
    $pix_pessoa = $res2[0]['pix'];
    $tipo_pessoa = 'Inquilino';
}


$query2 = $pdo->query("SELECT * FROM compradores where id = '$comprador'");
$res2 = $query2->fetchAll(PDO::FETCH_ASSOC);
if(@count($res2) > 0){
    $nome_pessoa = $res2[0]['nome'];
    $banco_pessoa = $res2[0]['banco'];
    $tipo_banco_pessoa = $res2[0]['tipo'];
    $agencia_pessoa = $res2[0]['agencia'];
    $conta_pessoa = $res2[0]['conta'];
    $pix_pessoa = $res2[0]['pix'];
    $tipo_pessoa = 'Inquilino';
}



    $query2 = $pdo->query("SELECT * FROM frequencias where dias = '$frequencia'");
    $res2 = $query2->fetchAll(PDO::FETCH_ASSOC);
    if(@count($res2) > 0){
        $nome_frequencia = $res2[0]['frequencia'];
    }else{
        $nome_frequencia = 'Indefinida';
    }

    $descricaoF = mb_strimwidth($res[$i]['descricao'], 0, 32, "...");

     if($res[$i]['pago'] == 'Não'){
        $icone = 'red';
        $card = 'green';
    }else{
        $icone = 'green';
        $card = 'green';
    }  

$arquivo = $res[$i]['arquivo'];
    //extensão do arquivo
$ext = pathinfo($arquivo, PATHINFO_EXTENSION);
if($ext == 'pdf'){
    $tumb_arquivo = 'pdf.png';
}else if($ext == 'rar' || $ext == 'zip'){
    $tumb_arquivo = 'rar.png';
}else if($ext == 'doc' || $ext == 'docx'){
    $tumb_arquivo = 'word.png';
}else{
    $tumb_arquivo = $arquivo;
}

    $dados[] = array(
        'id' => $res[$i]['id'],
        'pessoa' => $nome_pessoa,
        'descricaoF' => $descricaoF,
        'descricao' => $res[$i]['descricao'],
        'valor' => $valorF,
        'data_lanc' => $data_lancF,
        'data_venc' => $data_vencF,
        'data_pgto' => $data_pgtoF,
        'usuario_lanc' => $nome_usuario_lanc,
        'usuario_pgto' => $nome_usuario_pgto,       
        'frequencia' => $nome_frequencia,
        'saida' => $res[$i]['saida'],
        'arquivo' => $res[$i]['arquivo'],
        'pago' => $res[$i]['pago'],        
        'card' => $card,
        'icone' => $icone,
        'tumb' => $tumb_arquivo,
        'banco_pessoa' => $banco_pessoa,
        'tipo_banco_pessoa' => $tipo_banco_pessoa,
        'agencia_pessoa' => $agencia_pessoa,
        'conta_pessoa' => $conta_pessoa,
        'pix_pessoa' => $pix_pessoa,
        'tipo_pessoa' => $tipo_pessoa,
    );

}



if(count($res) > 0){
    $result = json_encode(array('success'=>true, 'resultado'=>@$dados));
}else{
    $result = json_encode(array('success'=>false, 'resultado'=>'0'));
}

echo $result;

?>